// TransformWindow.cpp : implementation file
//

#include "stdafx.h"
#include "MW4GameEd.h"
#include "TransformWindow.h"
#include "resource.h"
#include "EditorChildWnd.h"

#ifdef _DEBUG
//#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTransformWindow

IMPLEMENT_DYNCREATE(CTransformWindow, CEditorChildWnd)

CTransformWindow::CTransformWindow()
{
	char*	title = new char [MAXSTRING];
	RECT	rect;

	GetString(IDS_TRANSFORMWINDOWTITLE,title,MAXSTRING);
	rect.top = 520; rect.left = 320; rect.bottom = 700; rect.right = 620;

	Create(NULL,title,
		   WS_CHILD | WS_CLIPSIBLINGS | WS_OVERLAPPEDWINDOW | WS_VISIBLE,rect);//,theApp.m_pMainWnd,0);

	delete title;
	CMenu* m = theApp.m_pMainWnd->GetMenu();
	m->GetSubMenu(APP_MENU_VIEW)->CheckMenuItem(1,MF_BYPOSITION | MF_CHECKED);
}

CTransformWindow::~CTransformWindow()
{
	theApp.transformWindow = NULL;
	CMenu* m = theApp.m_pMainWnd->GetMenu();
	m->GetSubMenu(APP_MENU_VIEW)->CheckMenuItem(1,MF_BYPOSITION | MF_UNCHECKED);
}

BEGIN_MESSAGE_MAP(CTransformWindow, CEditorChildWnd)
	//{{AFX_MSG_MAP(CTransformWindow)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTransformWindow message handlers
